package com.seatel.mobilehall.ui.profile.interactor

import com.android.volley.VolleyError
import org.json.JSONArray

interface RequestSlideAccountUserNameInteractor {

    interface View {

        fun onRequestSlideAccountSuccess(response: JSONArray)
        fun onRequestSlideAccountFailed(error: VolleyError)
    }

    interface Presenter {
        fun onRequestSlideAccount(phoneNumber: String)
    }
}